/*
 * JaxbTest.java
 *
 * Created on April 17, 2003, 12:09 PM
 */

package com.encorus.test;

import javax.xml.bind.*;
import javax.xml.bind.util.*;
import java.io.*;

/**
 *
 * @author  albi
 */
public class JaxbTest
{
   private JAXBContext mJaxbContext;
   private Unmarshaller mUnmarshaller;
   private ValidationEventCollector mValidationEventCollector;

   /** Creates a new instance of JaxbTest */
   public JaxbTest ()
      throws Exception
   {
   }
   
   public void runTest ()
      throws Exception
   {
      mJaxbContext = JAXBContext.newInstance("com.encorus.test.jaxb");
      mUnmarshaller = mJaxbContext.createUnmarshaller();
      mUnmarshaller.setValidating(true);
      
      for (int i = 1; i <= 3; i++)
      {
         String filename = null;
         try
         {
            filename = "testdata/foo" + i + ".xml";
            System.out.println("Parsing file " + filename);
            File input = new File(filename);
            mUnmarshaller.unmarshal(input);
         }
         catch (Exception x)
         {
            System.out.println("Failed to parse " + filename + ": " + x);
            x.printStackTrace();
         }
      }
   }
   
   public static void main (String[] args)
      throws Exception
   {
      JaxbTest jxt = new JaxbTest();
      jxt.runTest();
   }
}
